# smfi_quarantine

SYNOPSIS

    #include <libmilter/mfapi.h>
    int smfi_quarantine(
    	SMFICTX *ctx;
    	char *reason;
    );

Quarantine the message using the given reason.

DESCRIPTION

Called When | Called only from xxfi_eom.
Effects | smfi_quarantine quarantines the message using the given reason.

ARGUMENTS

Argument | Description
--- | ---
ctx | Opaque context structure.
reason | The quarantine reason, a non-NULL and non-empty null-terminated string.

RETURN VALUES

smfi_quarantine will fail and return MI_FAILURE if:

- reason is NULL or empty.
- A network error occurs.
- SMFIF_QUARANTINE is not set.

Otherwise, it will return MI_SUCCESS

Copyright (c) 2002-2003 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.